Package org.silverpeas.components.gallery.process.media

## Class GalleryUpdateMediaDataProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractDataProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.AbstractGalleryDataProcess
      - - org.silverpeas.components.gallery.process.media.GalleryUpdateMediaDataProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

      public class GalleryUpdateMediaDataProcess
      extends AbstractGalleryDataProcess

  Process to update a media in Database
  Author:
    Yohann Chastagnier

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GalleryUpdateMediaDataProcess​(Media media, MediaDataUpdateDelegate delegate, boolean updateTechnicalData)` | Default hidden constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GalleryUpdateMediaDataProcess` | `getInstance​(Media media)` | Gets an instance
    `static GalleryUpdateMediaDataProcess` | `getInstance​(Media media, MediaDataUpdateDelegate delegate)` | Gets an instance
    `void` | `onSuccessful()` |
    `protected void` | `processData​(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session)` |

    - ### Methods inherited from class org.silverpeas.components.gallery.process.AbstractGalleryDataProcess

      `createMedia, getGalleryBm, getGalleryContentManager, getGenericRecordSetManager, getMedia, getOrganisationController, getPublicationTemplateManager, getXMLFormName, process, updateMedia`

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractDataProcess

      `getProcessType`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleryUpdateMediaDataProcess

          protected GalleryUpdateMediaDataProcess​(Media media,
                                                  MediaDataUpdateDelegate delegate,
                                                  boolean updateTechnicalData)

      Default hidden constructor
      Parameters:
        `media` -
        `delegate` -
        `updateTechnicalData` -

  - ### Method Detail

    - #### getInstance

          public static GalleryUpdateMediaDataProcess getInstance​(Media media)

      Gets an instance
      Parameters:
        `media` -
      Returns:

    - #### getInstance

          public static GalleryUpdateMediaDataProcess getInstance​(Media media,
                                                                  MediaDataUpdateDelegate delegate)

      Gets an instance
      Parameters:
        `media` -
        `delegate` -
      Returns:

    - #### processData

          protected void processData​(org.silverpeas.core.process.management.ProcessExecutionContext context,
                                     org.silverpeas.core.process.session.ProcessSession session)
                              throws Exception

      Specified by:
        `processData` in class `AbstractGalleryDataProcess`
      Throws:
        `Exception`

    - #### onSuccessful

          public void onSuccessful()
                            throws Exception

      Specified by:
        `onSuccessful` in interface `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Overrides:
        `onSuccessful` in class `org.silverpeas.core.process.AbstractProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Throws:
        `Exception`